Skip to main content
PUT
/
{walletId}
/
asset
/
{assetId}
/
operation
/
{operationId}
/
destination
/
{destinationId}
update Opration Destination
curl --request PUT \
  --url https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/destination/{destinationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '{
  "payload": {}
}'
{
  "walletId": "walletId",
  "assetOpration": {
    "operationDestination": {
      "operationDestinationAddress": {
        "data": [
          {
            "name": "name",
            "type": "number",
            "value": "value"
          },
          {
            "name": "name",
            "type": "number",
            "value": "value"
          }
        ],
        "type": "wallet_owner_platform"
      },
      "type": "asset",
      "direction": "source"
    },
    "isSameWallet": true,
    "fees": [
      {
        "paidBy": "source",
        "feeSharing": {
          "destination": [
            null,
            null
          ]
        },
        "appliedTo": "base",
        "feeApi": "feeApi",
        "feeValue": {
          "balanceType": "current",
          "name": "name",
          "instanceRef": {
            "refferTo": ""
          },
          "value": "value"
        },
        "type": "fixed",
        "group": 5.637376656633329,
        "order": 2.3021358869347655
      },
      {
        "paidBy": "source",
        "feeSharing": {
          "destination": [
            null,
            null
          ]
        },
        "appliedTo": "base",
        "feeApi": "feeApi",
        "feeValue": {
          "balanceType": "current",
          "name": "name",
          "instanceRef": {
            "refferTo": ""
          },
          "value": "value"
        },
        "type": "fixed",
        "group": 5.637376656633329,
        "order": 2.3021358869347655
      }
    ],
    "name": "name",
    "operationType": "buy",
    "id": {
      "auditData": {
        "createdAt": "2000-01-23T04:56:07.000Z",
        "archivedAt": "2000-01-23T04:56:07.000Z",
        "deletedAt": "2000-01-23T04:56:07.000Z",
        "updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
        "createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
        "deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
        "updatedAt": "2000-01-23T04:56:07.000Z"
      },
      "tenantId": "tenantId",
      "entityId": "",
      "ownerId": "ownerId"
    },
    "limits": [
      {
        "action": "deny",
        "priority": 0.8008281904610115,
        "conditions": [
          {
            "priority": 1.4658129805029452,
            "operation": "lessThan",
            "requirementType": "kyc",
            "order": 5.962133916683182
          },
          {
            "priority": 1.4658129805029452,
            "operation": "lessThan",
            "requirementType": "kyc",
            "order": 5.962133916683182
          }
        ],
        "enforcementPoint": [
          "UI",
          "UI"
        ],
        "order": 6.027456183070403
      },
      {
        "action": "deny",
        "priority": 0.8008281904610115,
        "conditions": [
          {
            "priority": 1.4658129805029452,
            "operation": "lessThan",
            "requirementType": "kyc",
            "order": 5.962133916683182
          },
          {
            "priority": 1.4658129805029452,
            "operation": "lessThan",
            "requirementType": "kyc",
            "order": 5.962133916683182
          }
        ],
        "enforcementPoint": [
          "UI",
          "UI"
        ],
        "order": 6.027456183070403
      }
    ],
    "assetType": "currency"
  },
  "assetId": "assetId",
  "tenantId": "tenantId"
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Path Parameters

walletId
string
required
assetId
string
required
operationId
string
required
destinationId
string
required

Body

application/json

Sample Payload

payload
object

Response

successful operation

walletId
string
assetId
string
tenantId
string
assetOpration
object
Example:
{
  "operationDestination": {
    "operationDestinationAddress": {
      "data": [
        {
          "name": "name",
          "type": "number",
          "value": "value"
        },
        {
          "name": "name",
          "type": "number",
          "value": "value"
        }
      ],
      "type": "wallet_owner_platform"
    },
    "type": "asset",
    "direction": "source"
  },
  "isSameWallet": true,
  "fees": [
    {
      "paidBy": "source",
      "feeSharing": { "destination": [null, null] },
      "appliedTo": "base",
      "feeApi": "feeApi",
      "feeValue": {
        "balanceType": "current",
        "name": "name",
        "instanceRef": { "refferTo": "" },
        "value": "value"
      },
      "type": "fixed",
      "group": 5.637376656633329,
      "order": 2.3021358869347655
    },
    {
      "paidBy": "source",
      "feeSharing": { "destination": [null, null] },
      "appliedTo": "base",
      "feeApi": "feeApi",
      "feeValue": {
        "balanceType": "current",
        "name": "name",
        "instanceRef": { "refferTo": "" },
        "value": "value"
      },
      "type": "fixed",
      "group": 5.637376656633329,
      "order": 2.3021358869347655
    }
  ],
  "name": "name",
  "operationType": "buy",
  "id": {
    "auditData": {
      "createdAt": "2000-01-23T04:56:07.000Z",
      "archivedAt": "2000-01-23T04:56:07.000Z",
      "deletedAt": "2000-01-23T04:56:07.000Z",
      "updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
      "createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
      "deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
      "updatedAt": "2000-01-23T04:56:07.000Z"
    },
    "tenantId": "tenantId",
    "entityId": "",
    "ownerId": "ownerId"
  },
  "limits": [
    {
      "action": "deny",
      "priority": 0.8008281904610115,
      "conditions": [
        {
          "priority": 1.4658129805029452,
          "operation": "lessThan",
          "requirementType": "kyc",
          "order": 5.962133916683182
        },
        {
          "priority": 1.4658129805029452,
          "operation": "lessThan",
          "requirementType": "kyc",
          "order": 5.962133916683182
        }
      ],
      "enforcementPoint": ["UI", "UI"],
      "order": 6.027456183070403
    },
    {
      "action": "deny",
      "priority": 0.8008281904610115,
      "conditions": [
        {
          "priority": 1.4658129805029452,
          "operation": "lessThan",
          "requirementType": "kyc",
          "order": 5.962133916683182
        },
        {
          "priority": 1.4658129805029452,
          "operation": "lessThan",
          "requirementType": "kyc",
          "order": 5.962133916683182
        }
      ],
      "enforcementPoint": ["UI", "UI"],
      "order": 6.027456183070403
    }
  ],
  "assetType": "currency"
}